Install adobe reader in ubuntu 16.04/16.10/17.04 [Installation Guide]

Adobe Reader is used to viewing, create, manipulate, print and manage files in Portable Document Format (PDF). In this post, I’m going to explain about How to install adobe reader in ubuntu 16.04

How to Install adobe reader in ubuntu 16.04/16.10/17.04

Install adobe reader in ubuntu 16.04

 

    What is Adobe Reader?

Adobe Reader is used to viewing, create, manipulate, print and manage files in Portable Document Format (PDF). It is Created by Adobe. There are many alternative software available for Ubuntu but Adobe Reader is the Best software ever. In this post, I’m going to explain about installing adobe reader in ubuntu 16.04.

Install adobe reader in ubuntu 16.04

Install adobe reader in ubuntu 16.04

 

    Installation

Open the Terminal and Paste the Following Command. Then Press Enter.

Installing Dependencies for adobe reader

sudo apt-get install gtk2-engines-murrine:i386 libcanberra-gtk-module:i386 libatk-adaptor:i386 libgail-common:i386

Install Adobe Reader using the following commands

sudo add-apt-repository "deb http://archive.canonical.com/ precise partner"

sudo apt-get update

sudo apt-get install adobereader-enu

After installing you have to Remove precise repository using the following commands

sudo add-apt-repository -r "deb http://archive.canonical.com/ precise partner"

sudo apt-get update

    Configuring Adobe Reader

How to Read all PDF files using Adobe reader in Ubuntu / How to open all PDF Files in Adobe Reader in Ubuntu

Edit the /etc/gnome/defaults.list file by the following Command

sudo gedit /etc/gnome/defaults.list

Change the following line

application/pdf=evince.desktop

 

Replace the Above line with the below line

application/pdf=acroread.desktop

And Add all below lines to the end of the File.

application/fdf=acroread.desktop
application/xdp=acroread.desktop
application/xfdf=acroread.desktop
application/pdx=acroread.desktop

Save and exit the file

Now you need to restart nautilus using the following command to make the Changes appear. Command may vary based on the File Manager you’re using. Default File Manager in Ubuntu in Nautilus.

nautilus -q

    From Editor Desk

I Hope the Installation process works without any Errors. If you’re facing any issues. Kindly Comment the Issues we will reply you via Email.

If you like the Article Kindly Share it with your friends. Thanks 🙂

Was this article helpful?

Thanks

Thanks for your Feeback. It will helps us to improve our Article quality




  • Malik Rumi

    Salaam, MC! Thank you for this post, it worked exactly as you described. However, I did get a lot of warnings and errors. They don’t seem to have mattered, but I thought I’d bring them to your attention anyway:

    (gedit:10216): Gtk-WARNING **: Calling Inhibit failed: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files

    ** (gedit:10216): WARNING **: Set document metadata failed: Setting attribute metadata::gedit-spell-enabled not supported

    ** (gedit:10216): WARNING **: Set document metadata failed: Setting attribute metadata::gedit-encoding not supported

    ** (gedit:10216): WARNING **: Set document metadata failed: Setting attribute metadata::gedit-position not supported
    malikarumi@Tetuoan2:~$ nautilus -q

    (nautilus:10258): GLib-GIO-CRITICAL **: g_dbus_interface_skeleton_unexport: assertion ‘interface_->priv->connections != NULL’ failed

    (nautilus:10258): GLib-GIO-CRITICAL **: g_dbus_interface_skeleton_unexport: assertion ‘interface_->priv->connections != NULL’ failed

    (nautilus:10258): Gtk-CRITICAL **: gtk_icon_theme_get_for_screen: assertion ‘GDK_IS_SCREEN (screen)’ failed

    (nautilus:10258): GLib-GObject-WARNING **: invalid (NULL) pointer instance

    (nautilus:10258): GLib-GObject-CRITICAL **: g_signal_connect_object: assertion ‘G_TYPE_CHECK_INSTANCE (instance)’ failed
    malikarumi@Tetuoan2:~$

  • Dhawaleswar Rao

    After running nautilus -q in ubuntu 16.04 server, terminal is displaying the following errors..

    (nautilus:9624): GLib-GIO-CRITICAL **: g_dbus_interface_skeleton_unexport: assertion ‘interface_->priv->connections != NULL’ failed

    (nautilus:9624): GLib-GIO-CRITICAL **: g_dbus_interface_skeleton_unexport: assertion ‘interface_->priv->connections != NULL’ failed

    (nautilus:9624): Gtk-CRITICAL **: gtk_icon_theme_get_for_screen: assertion ‘GDK_IS_SCREEN (screen)’ failed

    (nautilus:9624): GLib-GObject-WARNING **: invalid (NULL) pointer instance

    (nautilus:9624): GLib-GObject-CRITICAL **: g_signal_connect_object: assertion ‘G_TYPE_CHECK_INSTANCE (instance)’ failed

  • lacike

    adobereader-enu package does not exist anymore

  • rjc

    I know of the other dependencies but why Murrine engine? That seems like a personal preference, no?

40 Shares
+1
Tweet
Share12
Stumble28